## slurm-llnl 14.03.9

=== debian/changelog ===
slurm-llnl (14.03.9-5+deb8u5) jessie-security; urgency=medium

  [ Abhijith PA ]
  * Fix CVE-2019-12838: SQL Injection (Closes: #931880)
  * Fix CVE-2019-6438: mishandles 32-bit systems (Closes: #920997)

  [ Sylvain Beucler ]
  * Non-maintainer upload by the Debian LTS Team.

 -- Sylvain Beucler <beuc@debian.org>  Sat, 14 Mar 2020 21:19:18 +0100

slurm-llnl (14.03.9-5+deb8u4) jessie-security; urgency=medium

  * Fix CVE-2018-7033-2.patch (Closes: 893044)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 02 Aug 2018 18:19:28 +0200

slurm-llnl (14.03.9-5+deb8u3) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2018-7033
    Fix for issue in accounting_storage/mysql plugin by always
    escaping strings within the slurmdbd.
  * CVE-2018-10995
    Fix for mishandling of user names (aka user_name fields) and 
    group ids (aka gid fields).
 
 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Jun 2018 16:03:02 +0200

slurm-llnl (14.03.9-5+deb8u2) jessie; urgency=medium

  * Team upload.
  * slurm-client: Add Breaks+Replaces: slurm-llnl-slurmdbd (<< 14.03.9-5) for
    clean upgrades from wheezy which shipped sacctmgr there. (Closes: #901513)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 15 Jun 2018 15:58:33 +0200

slurm-llnl (14.03.9-5+deb8u1) jessie; urgency=high

  * Fix security issue caused by insecure file path handling triggered by
    the failure of a Prolog script (CVE-2016-10030)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 28 Jul 2017 10:06:41 +0200

slurm-llnl (14.03.9-5) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * sacctmgr moved to the slurm-client package (Closes: #768938)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 12 Nov 2014 12:07:04 +0100

slurm-llnl (14.03.9-4) unstable; urgency=medium

  * Declaring slurm-client conflict with sinfo (Closes: #768112)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 06 Nov 2014 10:28:03 +0100

slurm-llnl (14.03.9-3) unstable; urgency=medium

  * Do not force slurmdbd.conf's mode to 600.

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 25 Oct 2014 01:13:56 +0200

slurm-llnl (14.03.9-2) unstable; urgency=medium

  [ Roland Fehrenbacher ]
  * Fix names of boot scripts in logrotate files
  * Ensure slurmdbd.conf has mode 600

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 24 Oct 2014 15:31:40 +0200

slurm-llnl (14.03.9-1) unstable; urgency=low

  [ Mehdi Dogguy ]
  * New upstream release.

  [ Gennaro Oliva ]
  * Upgraded to standard version 3.9.6
  * Updated libslurm27.symbols and libslurmdb27.symbols.
  * Fix spelling error in slurm.conf.5
    * add debian/patches/manpages
  * Added munge to slurmd and slurmctld Depends (Closes: #766160)

  [ Rémi Palancher ]
  * Enable hwloc support
    * add Build-Depends on libhwloc-dev
    * enable dh autoreconf
    * add debian/patches/honor-without-rpath-hwloc

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 23 Oct 2014 17:27:46 +0200

slurm-llnl (14.03.8-2) unstable; urgency=medium

  [ Mehdi Dogguy ]
  * Update Homepage field in d/control file
  * Fix watch file

  [ Rémi Palancher ]
  * Use architecture.mk for DEB_BUILD/DEB_HOST defs
  * Fix typo in default PID path in configurator

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 07 Oct 2014 21:55:59 +0200

slurm-llnl (14.03.8-1) experimental; urgency=medium

  [ Gennaro Oliva ]
  * Binary packages renaming:
    slurm-llnl -> slurm-client
    slurm-llnl-slurmd -> slurmd
    slurm-llnl-slurmctld -> slurmctld
    slurm-llnl-slurdbd -> slurmdbd
    slurm-llnl-basic-plugins -> slurm-wlm-basic-plugins
    slurm-llnl-basic-plugins-dev -> slurm-wlm-basic-plugins-dev
    slurm-llnl-sview -> sview
    slurm-llnl-doc -> slurm-wlm-doc
  * New slurm-wlm metapackage depending on slurmctld
    slurm-client and slurmd
  * New slurm-llnl and slurm-llnl-slurmdbd
    transitional dummy packages
  * README.* updated
  * Configurators, slurm-resume.sh and
    slurm-suspend.sh examples moved to the slurmctld
    package
  * init.d scripts modified to import old default and
    to avoid usless dependency on slurm-client
  * Restored lintian-overrides files to avoid
    informational ("-I") tags
  * Added slurm directories in transitional dummy
    packages to avoid installation messages warnings
    about not removing non-empty directories
  * Added slurm-llnl-slurmdbd and slurm-llnl preinst
    to remove rc?.d symlinks to the old init scripts
    and the script itself if it doesn't contain user
    changes
  * Added {slurmd,slurmctld,slurmdbd}.tmpfile to
    create /var/run/slurm-llnl when using systemd
  * Added a warning message in the slurm-llnl preinst in case of
    modified init files

  [ Rémi Palancher ]
  * New upstream release 14.03.7 (Closes: #756012)
    Maintainers patches have been ported to this new upstream version
    SONAME of shared libs in *-dev pkgs dumped from 26 to 27 with updated
    debian/*.symbols
  * Bump debhelper compat level from 7 to 9
  * Split slurm-llnl package into 3 packages: slurm-llnl{,-slurmd,-slurmtld}
    (Closes: #749945)
  * Added native systemd services files
  * Remove build-dep to libpq-dev since upstream does not support PostgreSQL
    backend anymore
  * Big cleanup in debian/rules back to something more dh standards compliant.
    This also fixes FTBFS when built twice in a row (Closes: #617697).
  * Moved examples in dedicated subdirectory
  * Adds examples for cgroup configuration in slurmd pkg
  * Remove useless file related to transient slurm-llnl-dev package
  * Use globing in libslurm-dev.manpages
  * Correct path to README in init scripts and path to example in README
  * Add patch to increase size of read buffer for sacctmgr
    + debian/patches/sacctmgr-increase-buffer
  * Enable parallel build
  * Remove all lintian overrides

  [ Mehdi Dogguy ]
  * Wrap {,Build-}Depends lines in debian/control file to increase readability.
  * Add Rémi and myself as Uploaders
  * Add Vcs-{Browser,Git} fields.
  * Import new upstream release (14.03.8)


