=== debian/changelog ===
slurm-llnl (14.11.6-1) unstable; urgency=medium

  [ Gennaro Oliva ]
  * New upstream release
  * Minor man pages formatting changes
  * Restore var/*/slurm-llnl dirnames in the html configurator tools
  * Add --disable-debug to configure

  [ Rémi Palancher ]
  * Add -dbg packages for libs, binaries and plugins
  * Remove autoreconf since not needed anymore
  * Remove patch honor-without-rpath-hwloc since merged upstream
  * Create user slurm on slurm-client pkg install (Closes: #783663)
  * Add missing dep on ucf + adduser on pkgs
  * Add missing dep for -client on -basic-plugins (Closes: #783662)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 20 May 2015 16:47:32 +0200
