=== debian/changelog ===
slurm-llnl (14.11.8-4) unstable; urgency=medium

  * Conflict with older versions of sinfo only

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 19 Aug 2015 22:15:21 +0000

slurm-llnl (14.11.8-3) unstable; urgency=medium

  * Add libipmimonitoring-dev build dependency (Closes: #792368)
  * Add librrd-dev build dependency (Closes: #792370)

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 15 Jul 2015 09:48:30 +0200

slurm-llnl (14.11.8-2) unstable; urgency=medium

  * Correct a typo in the slurmd init.d script (Closes: #792027) 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 13 Jul 2015 08:55:20 +0200

slurm-llnl (14.11.8-1) unstable; urgency=medium

  * New upstream release
  * Updated libslurm28 and libslurmdb28 symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Wed, 08 Jul 2015 11:01:46 +0200
