=== debian/control ===
--- 
+++ 
@@ -22,6 +22,8 @@
  libhwloc-dev,
  dh-autoreconf,
  dh-exec,
+ librrd-dev,
+ libipmimonitoring-dev,
  dh-systemd (>= 1.5)
 Standards-Version: 3.9.6
 Homepage: http://slurm.schedmd.com
@@ -32,7 +34,6 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- slurm-wlm-basic-plugins (= ${binary:Version}),
  slurmd (= ${binary:Version}),
  slurmctld (= ${binary:Version}),
  slurm-client (= ${binary:Version})
@@ -51,11 +52,13 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
+ slurm-wlm-basic-plugins (= ${binary:Version}),
  munge,
+ adduser,
  ucf
-Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
-Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5), slurm-llnl-slurmdbd (<< 14.03.9-5)
-Conflicts: sinfo
+Replaces: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
+Breaks: slurm-llnl (<< 14.03), slurmdbd (<< 14.03.9-5)
+Conflicts: sinfo (<< 0.0.47-4)
 Description: SLURM client side commands
  SLURM stands for Simple Linux Utility for Resource Management, it
  is an open-source cluster resource management and job scheduling system
@@ -63,6 +66,20 @@
  interconnect agnostic.
  This package contains all client side commands.
 
+Package: slurm-client-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurm-client (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM client side commands
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for all client side
+ commands.
+
 Package: slurmd
 Architecture: any
 Depends:
@@ -71,6 +88,7 @@
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
  adduser,
+ ucf,
  munge,
  openssl-blacklist,
  openssl (>= 0.9.8g-9),
@@ -84,6 +102,20 @@
  interconnect agnostic.
  This package contains the compute node demon slurmd.
 
+Package: slurmd-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmd (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM compute node daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for the compute node daemon
+ slurmd.
+
 Package: slurmctld
 Architecture: any
 Depends:
@@ -93,6 +125,7 @@
  openssl,
  slurm-wlm-basic-plugins (= ${binary:Version}),
  adduser,
+ ucf,
  munge,
  openssl-blacklist,
  openssl (>= 0.9.8g-9),
@@ -106,7 +139,21 @@
  interconnect agnostic.
  This package contains the central management demon slurmctld.
 
-Package: libslurmdb27
+Package: slurmctld-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmctld (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM central management daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for central management
+ daemon slurmctld.
+
+Package: libslurmdb28
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -116,7 +163,21 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM DataBase Daemon runtime library.
 
-Package: libslurm27
+Package: libslurmdb28-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurmdb28 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM slurmdbd runtime library
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for slurmdbd runtime
+ library.
+
+Package: libslurm28
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -126,6 +187,20 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM runtime library.
 
+Package: libslurm28-dbg
+Architecture: any
+Section: debug
+Depends:
+ libslurm28 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM slurm runtime library
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for slurm runtime
+ library.
+
 Package: libpmi0
 Section: libs
 Architecture: any
@@ -136,13 +211,27 @@
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM PMI runtime implementation.
 
+Package: libpmi0-dbg
+Architecture: any
+Section: debug
+Depends:
+ libpmi0 (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM PMI library implementation
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for SLURM PMI library
+ implementation.
+
 Package: libslurm-dev
 Section: libdevel
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurm27 (= ${binary:Version})
+ libslurm28 (= ${binary:Version})
 Conflicts: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Replaces: libslurm10-dev, libslurm11-dev, libslurm12-dev, libslurm13-dev, libslurm20-dev, libslurm21-dev
 Description: SLURM development files
@@ -156,7 +245,7 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libslurmdb27 (= ${binary:Version})
+ libslurmdb28 (= ${binary:Version})
 Description: SLURM DataBase Daemon development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -169,7 +258,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
  libpmi0 (= ${binary:Version}),
- libslurm27 (= ${binary:Version})
+ libslurm28 (= ${binary:Version})
 Description: SLURM PMI library implementation development files
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
@@ -184,7 +273,7 @@
  ${misc:Depends}
 Replaces: slurm-llnl-doc (<< 14.03)
 Breaks: slurm-llnl-doc (<< 14.03)
-Description: SLURM docmentation
+Description: SLURM documentation
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM html documentation.
@@ -200,6 +289,19 @@
  SLURM, the Simple Linux Utility for Resource Management,
  is an open-source cluster resource management and job scheduling.
  This package contains the SLURM basic plugins
+
+Package: slurm-wlm-basic-plugins-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurm-wlm-basic-plugins (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for SLURM basic plugins
+ SLURM stands for Simple Linux Utility for Resource Management, it
+ is an open-source cluster resource management and job scheduling system
+ that strives to be simple, scalable, portable, fault-tolerant, and
+ interconnect agnostic.
+ This package contains the debugging symbols for basic plugins.
 
 Package: slurm-wlm-basic-plugins-dev
 Section: devel
@@ -249,74 +351,11 @@
  clusters in a central location and sacctmgr a command for managing
  user accounts in SlurmDBD.
 
-Package: libslurm-perl
-Section: perl
-Architecture: any
-Depends:
- ${perl:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Description: Perl API for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Perl module.
-
-Package: libslurmdb-perl
-Section: perl
-Architecture: any
-Depends:
- ${perl:Depends},
- ${misc:Depends},
- ${shlibs:Depends}
-Description: Perl API for the SLURM database
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Perl module for the SLURM database.
-
-Package: slurm-wlm-torque
-Architecture: all
-Depends:
- libslurm-perl (>= ${source:Version}),
- libslurmdb-perl (>= ${source:Version}),
- ${perl:Depends},
- ${misc:Depends},
- slurm-client (>= ${source:Version})
-Replaces: slurm-llnl-torque (<< 14.03)
-Breaks: slurm-llnl-torque (<< 14.03)
-Conflicts: gridengine-client, torque-client, torque-client-x11
-Description: Torque compatibility wrappers for SLURM
- SLURM, the Simple Linux Utility for Resource Management,
- is an open-source cluster resource management and job scheduling.
- .
- This package contains the Torque compatibility wrappers.
-
-Package: libpam-slurm
-Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends:
- ${shlibs:Depends},
- ${misc:Depends}
-Description: PAM module to authenticate using the SLURM resource manager
- Pluggable Authentication Module (PAM) for restricting access to compute
- nodes where SLURM performs resource management. Access to the node is
- restricted to user root and users who have been allocated resources on
- that node.
-
-Package: slurm-llnl
-Architecture: all
-Section: oldlibs
-Depends: slurm-wlm, ${misc:Depends}
-Description: transitional dummy package for slurm-wlm
- This is a transitional dummy package for slurm-wlm.
- It can safely be removed.
-
-Package: slurm-llnl-slurmdbd
-Architecture: all
-Section: oldlibs
-Depends: slurmdbd, ${misc:Depends}
-Description: transitional dummy package for slurmdbd
- This is a transitional dummy package for slurmdbd
- It can safely be removed.
-
+Package: slurmdbd-dbg
+Architecture: any
+Section: debug
+Depends:
+ slurmdbd (= ${binary:Version}),
+ ${misc:Depends}
+Description: debugging symbols for slurmdbd daemon
+ SLURM stands for Simple Linux Utility for Resource Management, it
