## slurm-llnl 15.08.1

=== debian/changelog ===
slurm-llnl (15.08.1-1) unstable; urgency=medium

  * New upstream release 
  * Remove man-pages patch included in upstream
  * Update libslurm29 and libslurmdb29 symbol files 
  * Fix a typo in scontrol.1 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 28 Sep 2015 15:41:18 +0200

slurm-llnl (15.08.0-1) unstable; urgency=medium

  * New upstream release 
  * Updated libraries api version to 29 
  * Updated mail-path patch
  * Minor man pages changes 
  * Add d/slurm-client.lintian-overrides to avoid warnings for a long
    line in acct_gather.conf.5 and for the conflicts with sinfo in
    d/control
  * Remove d/slurmd.lintian-overrides since the lintian bug that caused
    the spelling-error-in-binary false positive was solved

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Thu, 24 Sep 2015 16:30:57 +0200
