=== debian/changelog ===
slurm-llnl (15.08.2-1) unstable; urgency=medium

  * New upstream release 
  * Remove scontrol-man-page included in upstream 
  * Remove unused override shlib-with-executable-stack in
    slurm-wlm-basic-plugins for a false-positive now fixed

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 26 Oct 2015 12:23:09 +0100
