=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,14 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --builddirectory --parallel --with autoreconf --with systemd
+	dh $@ --builddirectory --parallel --with systemd
 
+# We run configure with --disable-debug to avoid the default use of -O0 and
+# consequent unprotected source functions, causing lintian report
+# hardening-no-fortify-functions
+# Notice that -g in CFLAGS is still provided by dpkg-buildflags
 override_dh_auto_configure:
-	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath
+	dh_auto_configure -- --sysconfdir=/etc/slurm-llnl --localstatedir=/var/run/slurm-llnl --with-munge --without-blcr --enable-pam --without-rpath --disable-debug
 
 override_dh_auto_install:
 	dh_auto_install
@@ -38,4 +42,19 @@
 		pod2man $$i > debian/tmp/usr/share/man/man1/$$(basename $$i).1; \
 	done
 
+override_dh_strip:
+	dh_strip -plibslurm29 --dbg-package=libslurm29-dbg
+	dh_strip -plibslurmdb29 --dbg-package=libslurmdb29-dbg
+	dh_strip -plibpmi0 --dbg-package=libpmi0-dbg
+	dh_strip -pslurm-wlm-basic-plugins --dbg-package=slurm-wlm-basic-plugins-dbg
+	dh_strip -pslurm-client --dbg-package=slurm-client-dbg
+	dh_strip -pslurmd --dbg-package=slurmd-dbg
+	dh_strip -pslurmctld --dbg-package=slurmctld-dbg
+	dh_strip -pslurmdbd --dbg-package=slurmctld-dbg
+	# we do not care about debug symbols for those pkgs
+	dh_strip -plibslurmdb-perl
+	dh_strip -plibslurm-perl
+	dh_strip -psview
+	dh_strip -plibpam-slurm
+
 override_dh_auto_test:
