## slurm-llnl 15.08.3

=== debian/changelog ===
slurm-llnl (15.08.3-1) unstable; urgency=medium

  * New upstream release 

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Fri, 06 Nov 2015 13:53:28 +0100
