## slurm-llnl 15.08.4

=== debian/changelog ===
slurm-llnl (15.08.4-1build2) xenial; urgency=medium

  * No-change rebuild against libipmimonitoring5a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jan 2016 02:08:52 +0000

slurm-llnl (15.08.4-1build1) xenial; urgency=medium

  * Rebuild for Perl 5.22.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Dec 2015 10:45:00 +0000

slurm-llnl (15.08.4-1) unstable; urgency=medium

  * New upstream release
  * Change slurm user's home directory to /nonexistent
  * Update libslurm29 and libslurmdb29 symbol files

 -- Gennaro Oliva <oliva.g@na.icar.cnr.it>  Mon, 30 Nov 2015 17:40:21 +0100
