=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: slurm-llnl
 Section: admin
 Priority: extra
-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gennaro Oliva <oliva.g@na.icar.cnr.it>
 Uploaders: Rémi Palancher <remi@rezib.org>, Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
  debhelper (>= 9.20130504),
@@ -358,4 +359,3 @@
  slurmdbd (= ${binary:Version}),
  ${misc:Depends}
 Description: debugging symbols for slurmdbd daemon
- SLURM stands for Simple Linux Utility for Resource Management, it
